#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

. "`/usr/bin/dirname $0`"/dnsfilter-util.sh

PACKAGE_NAME="SafeAccess"
PACKAGE_TARGET_DIR="/var/packages/${PACKAGE_NAME}/target"

HTTPD_CONF_DIR="${PACKAGE_TARGET_DIR}/etc/httpd"
SITES_ENABLED_DIR="/etc/httpd/sites-enabled"

CONFS="
	webfilter.httpd.conf
	webfilter.httpd-ssl.conf
	blocktime.httpd.conf
	blocktime.httpd-ssl.conf
	timequota.httpd.conf
	timequota.httpd-ssl.conf
	security-filter.httpd.conf
	security-filter.httpd-ssl.conf
	safe-browsing-filter.httpd.conf
	safe-browsing-filter.httpd-ssl.conf
	"

install_httpd()
{
	for conf in $CONFS; do
		if [ ! -s "$HTTPD_CONF_DIR/$conf" ]; then
			/usr/bin/logger -p user.err -t "$(/usr/bin/basename "$0")" "$conf is not exist"
			return 1
		fi
	done

	for conf in $CONFS; do
		/bin/cp "$HTTPD_CONF_DIR/$conf" "$SITES_ENABLED_DIR/$conf"
	done

	reload httpd-sys
}

uninstall_httpd()
{
	for conf in $CONFS; do
		rm -f "$SITES_ENABLED_DIR/$conf"
	done

	reload httpd-sys
}

case $1 in
	install_httpd)
		install_httpd
		exit 0
	;;
	uninstall_httpd)
		uninstall_httpd
		exit 0
	;;
esac

exit 0
