#!/bin/sh
# Copyright (c) 2000-2018 Synology Inc. All rights reserved.

PACKAGE_NAME="SafeAccess"
PACKAGE_TARGET_DIR="/var/packages/${PACKAGE_NAME}/target"
PACKAGE_WEBAPI_DIR="${PACKAGE_TARGET_DIR}/webapi"
PACKAGE_BIN_DIR="${PACKAGE_TARGET_DIR}/bin"
PACKAGE_CONF_DIR="/usr/syno/etc/packages/${PACKAGE_NAME}"


get_support_ipv6 ()
{
	local platform=`/bin/get_key_value /etc.defaults/synoinfo.conf unique | cut -d'_' -f2`
	if [ "xipq806x" = "x${platform}" -o "xdakota" = "x${platform}" ]; then
		echo "yes"
	else
		echo "no"
	fi
}

get_security_enabled()
{
	local is_security_enabled=`get_key_value ${PACKAGE_CONF_DIR}/synosafebrowsing/safe_browsing.conf enable_security`

	if [ "xyes" == "x${is_security_enabled}" ]; then
		echo "yes"
	else
		echo "no"
	fi
}

get_profile_enabled()
{
	local db_path="${PACKAGE_CONF_DIR}/synoaccesscontrol/database.db"

	if [ -f "${db_path}" ]; then
		local profile_num=`sqlite3 -noheader ${db_path} "select count(1) from profile where visible = 1"`

		if [ $profile_num -gt 0 ]; then
			echo "yes"
			exit 0
		fi
	fi

	echo "no"
}