#!/bin/sh

SAFE_BROWSING_CONFIG_PATH="/usr/syno/etc/packages/SafeAccess/synosafebrowsing"
SAFE_BROWSING_CONFIG="${SAFE_BROWSING_CONFIG_PATH}/safe_browsing.conf"
SAFE_BROWSING_CAPABILITY_CONFIG="${SAFE_BROWSING_CONFIG_PATH}/safe_browsing_capability.conf"

IS_ENABLE_SAFE_BROWSING=`synogetkeyvalue $SAFE_BROWSING_CONFIG enable_safe_browsing`

echo "=== Safe Browsing current state: ${IS_ENABLE_SAFE_BROWSING}"

if [ "yes" == "${IS_ENABLE_SAFE_BROWSING}" ]; then
	echo "=== Safe browsing is enabled."

	synosetkeyvalue $SAFE_BROWSING_CONFIG enable_security no
	synosetkeyvalue $SAFE_BROWSING_CONFIG enable_safe_browsing no
	synosetkeyvalue $SAFE_BROWSING_CONFIG enable_domain_blocklist no
	echo "=== Finish disabling safe browsing."

	synosetkeyvalue $SAFE_BROWSING_CAPABILITY_CONFIG safe_browsing_api_change yes
	echo "=== Finish setting safe browsing capability."

	/usr/syno/bin/synodsmnotify -c SYNO.SafeAccess.Application @administrators "Safe Access" security:hint_google_safe_browsing_policy_change
	/usr/syno/bin/synoappnotify -c SYNO.SafeAccess.Application -a 1 @administrators
	echo "=== Finish sending APP notification."
fi
