#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

PROC_FLAG_SAFE_ACCESS="/proc/sys/net/bridge/syno-bridge-nf-cond-call-netfilter-safe-access"

# Set necessary proc flags (for mr2200)
set_proc_flags()
{
	if [ ! -f $PROC_FLAG_SAFE_ACCESS ]; then
		return
	fi
	if [ "bridge" = "$NEW_TOPOLOGY" ]; then
		echo 1 >$PROC_FLAG_SAFE_ACCESS
	else
		echo 0 >$PROC_FLAG_SAFE_ACCESS
	fi
}

case $1 in
	--sdk-mod-ver)
		# Print SDK support version
		echo "1.0";
	;;
	--name)
		# Print package name
		echo "safeaccess-procflag"
	;;
	--pkg-ver)
		# Print package version
		echo "1.0";
	;;
	--vendor)
		# Print package vendor
		echo "Synology";
	;;
	--pre)
		# Before changing netowrk topology
	;;
	--post)
		# After changing netowrk topology
		set_proc_flags
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
